> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Form from Theme

> Clone an existing form from a theme to a specified location



## OpenAPI

````yaml /api-reference/forms/openapi.json post /forms/clone-from-theme
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms/clone-from-theme:
    post:
      tags:
        - Forms
      summary: Clone Form from Theme
      description: Clone an existing form from a theme to a specified location
      operationId: clone-form-from-theme
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloneFormFromThemeDto'
      responses:
        '200':
          description: Form successfully cloned from theme
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Form or Location not found
      security:
        - bearer: []
components:
  schemas:
    CloneFormFromThemeDto:
      type: object
      properties:
        formId:
          type: string
          description: The ID of the form to clone from
          example: 64abc123def456789012345
        locationId:
          type: string
          description: The location ID where the form will be created
          example: ve9EPM428h8vShlRW1KT
        name:
          type: string
          description: Custom name for the cloned form
          example: Test 33
      required:
        - formId
        - locationId
        - name
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````